=== debian/changelog ===
lightspark (0.4.6.1-1) experimental; urgency=low

  * New 0.4.6.1 upstream release.
  * Patches:
    - Remove armel.patch (included upstream).
    × Refresh hurd.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Mar 2011 11:26:27 +0100

lightspark (0.4.6-1) experimental; urgency=low

  * New 0.4.6 upstream release.

  [ Luca Falavigna ]
  * debian/control:
    - Remove myself from Uploaders.

  [ Didier Raboud ]
  * Merge changes done in Ubuntu, thanks Jani!
  * Re-indent Build-Depends.
  * Add lintian override for empty mozilla/plugins directory.

  [ Jani Monoses ]
  * Build on armel:
    - debian/patches/armel.patch: Add arm target to CMakeLists.txt.
    - debian/control: Allow build on armel architecture.
  * Drop libffi-dev B-D.

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Mar 2011 13:48:10 +0100

lightspark (0.4.5.3-1) experimental; urgency=low

  * New upstream release.
    - Fix YouTube breakage

 -- Didier Raboud <odyx@debian.org>  Thu, 24 Feb 2011 12:05:07 +0100

lightspark (0.4.5.2-1) experimental; urgency=low

  * New upstream release
    - Fix YouTube breakage

  * Add new /etc/xdg/lightspark.conf file to -common.

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Feb 2011 13:35:35 +0100

lightspark (0.4.5.1-2) experimental; urgency=low

  * Bump B-D on libxml++2.6-dev to >= 2.33.1 (see #605773)
  * Change my e-mail address to @d.o and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Jan 2011 14:06:52 +0100
