=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
 https://launchpad.net/lightspark/+download http://launchpad.net/lightspark/.*/lightspark-([\d\.rc]*).tar.gz
# http://githubredir.debian.net/github/alexp-sssup/lightspark (.*).tar.gz
