## lightspark 0.4.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "6")
+SET(PATCH_VERSION "7")
 SET(SUBPATCH_VERSION "1")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
@@ -34,7 +34,12 @@
 	SET(GIT_VERSION "")
 ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
 
-ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
+IF(SUBPATCH_VERSION EQUAL "0")
+	ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}${GIT_VERSION}")
+ELSE(SUBPATCH_VERSION EQUAL "0")
+	ADD_DEFINITIONS(-DVERSION="${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}.${SUBPATCH_VERSION}${GIT_VERSION}")
+ENDIF(SUBPATCH_VERSION EQUAL "0")
+
 ADD_DEFINITIONS(-DSHORTVERSION="${MINOR_VERSION}${PATCH_VERSION}${SUBPATCH_VERSION}")
 
 # GCC 4.4+ is required, GCC_VERSION macro taken from GCC manual
@@ -116,7 +121,7 @@
 SET(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Install prefix, default is /usr/local (UNIX) and C:\\Program Files (Windows)")
 SET(COMPILE_LIGHTSPARK TRUE CACHE BOOL "Compile Lightspark?")
 SET(COMPILE_TIGHTSPARK TRUE CACHE BOOL "Compile Tightspark?")
-SET(COMPILE_PLUGIN FALSE CACHE BOOL "Compile the browser plugin?")
+SET(COMPILE_PLUGIN TRUE CACHE BOOL "Compile the browser plugin?")
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
 SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
@@ -316,10 +321,3 @@
   parsing/tags_stub.cpp
   parsing/textfile.cpp
   scripting/abc.cpp
-  scripting/abc_codesynt.cpp
-  scripting/abc_interpreter.cpp
-  scripting/abc_opcodes.cpp
-  scripting/actions.cpp
-  scripting/class.cpp
-  scripting/flashdisplay.cpp
-  scripting/flashevents.cpp
