=== debian/control ===
--- 
+++ 
@@ -28,13 +28,13 @@
   libsdl-dev,
   libxml++2.6-dev (>= 2.33.1),
   gnash-common
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://lightspark.sf.net
 Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
 
 Package: lightspark
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash
 Description: High-performance SWF player (experimental)
@@ -42,7 +42,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode
@@ -53,7 +53,7 @@
     released.
 
 Package: browser-plugin-lightspark
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gnash-common
 Description: High-performance SWF player - Mozilla Plugin (experimental)
@@ -61,7 +61,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode
@@ -71,10 +71,10 @@
     hardware. Designed from scratch after the official Flash documentation was
     released.
  .
- This package contains the mozilla plugin.
+ This package contains the browser plugin.
 
 Package: lightspark-common
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
@@ -97,7 +97,7 @@
 Package: lightspark-dbg
 Section: debug
 Priority: extra
-Architecture: any-i386 any-amd64 powerpc armel
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  lightspark (= ${binary:Version}) |
  browser-plugin-lightspark (= ${binary:Version}) |
@@ -107,7 +107,7 @@
  by using modern technologies such as JIT compilation and OpenGL shaders.
  .
  The project is currently in an alpha status and provides the standalone
- player and mozilla plugin for testing purposes only.
+ player and browser plugin for testing purposes only.
  .
  Nice features:
   * JIT compilation of ActionScript to native x86 bytecode
