## lightspark 0.4.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #**************************************************************************
 #    Lightspark, a free flash player implementation
 #
+#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
 #    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
-#    Copyright (C) 2010  Alessandro Pignotti <a.pignotti@sssup.it>
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU Lesser General Public License as published by
@@ -25,7 +25,7 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "4")
-SET(PATCH_VERSION "7")
+SET(PATCH_VERSION "8")
 SET(SUBPATCH_VERSION "1")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
@@ -150,6 +150,7 @@
 INCLUDE(FindPCRE REQUIRED)
 INCLUDE(FindFTGL REQUIRED)
 INCLUDE(FindGLEW REQUIRED)
+INCLUDE(FindJPEG REQUIRED)
 IF(UNIX)
   INCLUDE(FindPkgConfig REQUIRED)
 	pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
@@ -183,7 +184,7 @@
 ENDIF(UNIX)
 
 IF(ENABLE_LIBAVCODEC)
-	pkg_check_modules(FFMPEG libavcodec libavutil)
+	pkg_check_modules(FFMPEG libavcodec libavutil libavformat)
 	IF(NOT(FFMPEG_FOUND))
 		INCLUDE(FindFFMpeg REQUIRED)
 	ENDIF(NOT(FFMPEG_FOUND))
@@ -215,6 +216,7 @@
 INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${FTGL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
 INCLUDE_DIRECTORIES(${EXTRA_LIBS_INCLUDE_DIRS})
 
@@ -287,37 +289,23 @@
   #SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/objs/${CMAKE_SYSTEM_PROCESSOR}/${CMAKE_BUILD_TYPE}/lib${LIB_SUFFIX}" CACHE PATH "Static libraries output directory")
 ENDIF(CMAKE_COMPILER_IS_GNUCC)
 
-# liblightspark.so sources
-SET(LIBSPARK_SOURCES 
-  asobject.cpp
-  compat.cpp
-  frame.cpp
-  logger.cpp
-  swf.cpp
-  swftypes.cpp
-  thread_pool.cpp
-  threading.cpp
-  timer.cpp
-  backends/audio.cpp
-  backends/config.cpp
-  backends/decoder.cpp
-  backends/extscriptobject.cpp
-  backends/geometry.cpp
-  backends/graphics.cpp
-  backends/input.cpp
-  backends/netutils.cpp
-  backends/pluginmanager.cpp
-  backends/rendering.cpp
-  backends/rtmputils.cpp
-  backends/security.cpp
-  backends/urlutils.cpp
-  parsing/amf3_generator.cpp
-  parsing/amf3_parser.cpp
-  parsing/config.cpp
-  parsing/crossdomainpolicy.cpp
-  parsing/flv.cpp
-  parsing/streams.cpp
-  parsing/tags.cpp
-  parsing/tags_stub.cpp
-  parsing/textfile.cpp
-  scripting/abc.cpp
+#Install icons and desktop file
+if(UNIX)
+  FOREACH(i 16 20 22 24 32 36 48 64 72 96 128 192 256 )
+    INSTALL(FILES media/lightspark-ico-${i}x${i}.png
+            DESTINATION ${DATADIR}/icons/hicolor/${i}x${i}/apps
+            RENAME lightspark.png
+           )
+  ENDFOREACH(i)
+  INSTALL(FILES media/lightspark-ico.svg
+          DESTINATION ${DATADIR}/icons/hicolor/scalable/apps
+          RENAME lightspark.svg
+         )
+  INSTALL(FILES media/lightspark.desktop DESTINATION ${DATADIR}/applications )
+endif(UNIX)
+
+# generate locales for gettext
+GETTEXT_CREATE_TRANSLATIONS(i18n/lightspark.pot ALL i18n/pl.po i18n/fr.po
+        i18n/zh_CN.po)
+
+if(UNIX)
