=== debian/changelog ===
lightspark (0.4.8.1-1ubuntu2) oneiric; urgency=low

  * Build depend on libjpeg62-dev, fixes FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Fri, 17 Jun 2011 17:38:00 +0300

lightspark (0.4.8.1-1ubuntu1) oneiric; urgency=low

  * Switch xulrunner-dev build-dep to firefox-dev
    (see https://blueprints.launchpad.net/ubuntu/+spec/
           desktop-o-mozilla-rapid-release-maintenance and
     https://lists.ubuntu.com/archives/ubuntu-devel/2011-May/033229.html)
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 13 Jun 2011 15:25:13 -0700

lightspark (0.4.8.1-1) experimental; urgency=low

  * New 0.4.8.1 upstream release.

 -- Didier Raboud <odyx@debian.org>  Fri, 27 May 2011 14:44:45 +0200

lightspark (0.4.8~rc1-1) experimental; urgency=low

  * 0.4.8 first Release Candidate:
    - Add libavformat-dev Build-Dependency.
  * Update debian/watch.

 -- Didier Raboud <odyx@debian.org>  Tue, 24 May 2011 15:28:40 +0200

lightspark (0.4.7.1-2) experimental; urgency=low

  * Brown-paper bag upload: previous one went to unstable by mistake: upload
    to experimental for real now.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 May 2011 16:41:23 +0200
