=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lightspark
 Section: utils
 Priority: optional
-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
   cmake,
@@ -22,10 +23,12 @@
   libboost-regex-dev,
   libpulse-dev,
   libavcodec-dev,
+  libavformat-dev,
   libgtk2.0-dev,
   libnspr4-dev,
-  xulrunner-dev (>= 1.9.2),
+  firefox-dev,
   libsdl-dev,
+  libjpeg62-dev,
   libxml++2.6-dev (>= 2.33.1),
   gnash-common
 Standards-Version: 3.9.2
